|  | Home | Documentation | GSoapiOSURLData Class Reference updated by Robert van Engelen |

Instance Methods | Private Attributes | List of all members
GSoapiOSURLData Class Reference

stores states for connection establishment, buffering soap request and response More...

`#include <gsoapios.h>`

Inheritance diagram for GSoapiOSURLData:
[legend]
Collaboration diagram for GSoapiOSURLData:
[legend]

## Instance Methods

(id) | - init
| < Set or get endpoint

## Private Attributes

NSString * | endpoint
NSString * | host
NSString * | soap_action
NSString * | http_method
NSString * | content_type
NSMutableData * | http_req_msg
NSData * | soap_req_msg
NSData * | soap_res_msg
int | port
int | req_content_length
int | received_length
bool | request_sent
double | timeout_interval
unsigned int | cache_policy
NSString * | user_name
NSString * | password

## Detailed Description

stores states for connection establishment, buffering soap request and response

The class stores the states for connection establishment, buffering soap request and response.

Class GSoapiOSURLData

## Method Documentation

## ◆ init

- (id) init |  |  |

< Set or get endpoint

< Set or get host name < Set or get soap action < Set or get HTTP method < Set or get content type < Set or get HTTP request message < Set or get SOAP request < Set or get SOAP response < Set or get port < Set or get received message length < Set or get the flag for the first time sending < Set or get request message length < Set or get timeout interval < Set or get cache policy < Set or get user ID for authentication < Set or get password for authentication

Constructor

## Member Data Documentation

## ◆ cache_policy

- (unsigned int) cache_policy

read write nonatomic assign private

## ◆ content_type

- (NSString *) content_type

read write nonatomic retain private

## ◆ endpoint

- (NSString *) endpoint

read write nonatomic retain private

## ◆ host

- (NSString *) host

read write nonatomic retain private

## ◆ http_method

- (NSString *) http_method

read write nonatomic retain private

## ◆ http_req_msg

- (NSMutableData *) http_req_msg

read write nonatomic retain private

## ◆ password

- (NSString *) password

read write nonatomic retain private

## ◆ port

- (int) port

read write nonatomic assign private

## ◆ received_length

- (int) received_length

read write nonatomic assign private

## ◆ req_content_length

- (int) req_content_length

read write nonatomic assign private

## ◆ request_sent

- (bool) request_sent

read write nonatomic assign private

## ◆ soap_action

- (NSString *) soap_action

read write nonatomic retain private

## ◆ soap_req_msg

- (NSData *) soap_req_msg

read write nonatomic retain private

## ◆ soap_res_msg

- (NSData *) soap_res_msg

read write nonatomic retain private

## ◆ timeout_interval

- (double) timeout_interval

read write nonatomic assign private

## ◆ user_name

- (NSString *) user_name

read write nonatomic retain private

The documentation for this class was generated from the following files:

- gsoapios.h
- gsoapios.mm